<?php

use Carbon\Carbon;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('betting', function (Blueprint $table) {
            $table->id();
            $table->string('user_id');
            $table->string('game_id');
            $table->string('type');
            $table->string('code')->nullable();
            $table->string('color')->nullable();
            $table->string('value');
            $table->float('amount');
            $table->string('tab');
            $table->integer('status')->default(0);
            $table->integer('result')->nullable();
            $table->float('winning_amount')->nullable();
            $table->float('total_amount')->nullable();
            $table->timestamp('created_at')->default(Carbon::now());
            $table->timestamp('updated_at')->default(Carbon::now());
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
